> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connector sync event

> Returns one connector sync event detail.



## OpenAPI

````yaml /openapi.json get /v1/connector-sync-events/{connectorSyncEventId}
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers:
  - url: https://api.openworklabs.com
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Skills
    description: Organization skill authoring and sharing routes.
  - name: Skill Hubs
    description: Organization skill hub management and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
paths:
  /v1/connector-sync-events/{connectorSyncEventId}:
    get:
      tags:
        - Connectors
      summary: Get connector sync event
      description: Returns one connector sync event detail.
      operationId: getV1ConnectorSyncEventsByConnectorSyncEventId
      parameters:
        - in: path
          name: connectorSyncEventId
          schema:
            format: typeid
            type: string
            minLength: 30
            maxLength: 30
            pattern: ^cse_.*
          required: true
          description: Den TypeID with 'cse_' prefix and a 26-character base32 suffix.
      responses:
        '200':
          description: Connector sync event returned successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PluginArchConnectorSyncEventDetailResponse
        '400':
          description: The connector sync event path parameters were invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestError'
        '401':
          description: The caller must be signed in to view connector sync events.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: The connector sync event could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    PluginArchConnectorSyncEventDetailResponse:
      type: object
      properties:
        item:
          $ref: '#/components/schemas/PluginArchConnectorSyncEvent'
      required:
        - item
    InvalidRequestError:
      type: object
      properties:
        error:
          type: string
          const: invalid_request
        details:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
            additionalProperties: {}
      required:
        - error
        - details
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          const: unauthorized
      required:
        - error
    NotFoundError:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
    PluginArchConnectorSyncEvent:
      type: object
      properties:
        id:
          description: Den TypeID with 'cse_' prefix and a 26-character base32 suffix.
          format: typeid
          type: string
          minLength: 30
          maxLength: 30
          pattern: ^cse_.*
        connectorInstanceId:
          description: Den TypeID with 'cin_' prefix and a 26-character base32 suffix.
          format: typeid
          type: string
          minLength: 30
          maxLength: 30
          pattern: ^cin_.*
        connectorTargetId:
          anyOf:
            - description: Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.
              format: typeid
              type: string
              minLength: 30
              maxLength: 30
              pattern: ^ctg_.*
            - type: 'null'
        connectorType:
          type: string
          enum:
            - github
        remoteId:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        eventType:
          type: string
          enum:
            - push
            - installation
            - installation_repositories
            - repository
            - manual_resync
        externalEventRef:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        sourceRevisionRef:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        status:
          type: string
          enum:
            - pending
            - queued
            - running
            - completed
            - failed
            - partial
            - ignored
        summaryJson:
          anyOf:
            - $ref: '#/components/schemas/PluginArchConnectorSyncSummary'
            - type: 'null'
        startedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        completedAt:
          anyOf:
            - type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            - type: 'null'
      required:
        - id
        - connectorInstanceId
        - connectorTargetId
        - connectorType
        - remoteId
        - eventType
        - externalEventRef
        - sourceRevisionRef
        - status
        - summaryJson
        - startedAt
        - completedAt
    PluginArchConnectorSyncSummary:
      type: object
      properties:
        createdCount:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        updatedCount:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        deletedCount:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        skippedCount:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        failedCount:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        failures:
          type: array
          items:
            type: object
            properties: {}
            additionalProperties: {}
      additionalProperties: {}

````